<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::AnimationState Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a1c17270d5133a34a1d2f846d34f61a69">_setBlendMask</a>(const BoneBlendMask *blendMask)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#ad38d5a17259f4a88b29773fda638e9fa">_setBlendMaskData</a>(const float *blendMaskData)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a4670365ae58e531297816ede430b0971">addTime</a>(Real offset)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a0a78387f3637ec52d9eda6614adbf479">AnimationState</a>(const String &amp;animName, AnimationStateSet *parent, Real timePos, Real length, Real weight=1.0, bool enabled=false)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a591c9a568799cf5261d3806129da2f5d">AnimationState</a>(AnimationStateSet *parent, const AnimationState &amp;rhs)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a> typedef</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#ad49f3512efa4716c778e48d1223f1b4f">copyStateFrom</a>(const AnimationState &amp;animState)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a06594a53335afbe8ccb67331e35a32fd">createBlendMask</a>(size_t blendMaskSizeHint, float initialWeight=1.0f)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a78fe4050a91268162602c50cf03f9774">destroyBlendMask</a>()</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a3833bb6a215b05bf15f70d1fa52dd3ef">getAnimationName</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a540dca3a99beca820013dca76cff68d1">getBlendMask</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a6e13e1f06b1c47aa3b9a7eeecc9474ea">getBlendMaskEntry</a>(size_t boneHandle) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a3cecdbea43c62531d51d8c4ac51c56ab">getEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a25849076feadef5cbbfcb57589c3966b">getLength</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a0ec0b1f09ef22e7ef18a041e2fb30f29">getLoop</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#aadbf4450864c966da1911d600a673ff7">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#adffe55bcb910703b963d0f168eca13cb">getTimePosition</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a6284267d9586b91203dca1456f6cba77">getWeight</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#accc8e63c8e9521e9a879d1df6169467b">hasBlendMask</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#ae8d092abcb1e407b73f57d23394bd736">hasEnded</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a6aaecdb4c2d236c0a8b3b1af346e511e">mAnimationName</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a2d5e8cd239d3091a650896f641bc5dd5">mBlendMask</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a04f40a90d9464b5ed89ceb803b5e96d9">mEnabled</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a17da018a960a834b8d16af2e811b535f">mLength</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a4a6f3f2717fa461eaf22c04bf6528288">mLoop</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a9c169c11fa2b35f0f9db9f68f69c0da0">mParent</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#aa524309374bba8a3eb05bac6c046ec1b">mTimePos</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a0e241844010a40259cf0eb28bcc68b98">mWeight</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a7f21613e63dfd864ddd3df640c2131a4">operator!=</a>(const AnimationState &amp;rhs) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a01a1f30ff86bad2817be3675a6c3e67b">operator==</a>(const AnimationState &amp;rhs) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#acd87ade1535b3721676d7257b9370a5a">setBlendMaskEntry</a>(size_t boneHandle, float weight)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a7acaa951a87614f39df6a7f767a88f60">setEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#af1910e8bbaebe61359ac7edb638e5cbc">setLength</a>(Real len)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a1f6272f69d31ff9fdeca356cfcf0bc9d">setLoop</a>(bool loop)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#ae69ff5a068d086be7ecc048a71ed8efc">setTimePosition</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a9666320c8d7739e3b0ee8ebd3bfe84aa">setWeight</a>(Real weight)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a0202f57ccea141a220330579538611dc">~AnimationState</a>()</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
